<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
	<TITLE>HowTo get a model from the repository?</TITLE>
	<META NAME="GENERATOR" CONTENT="OpenOffice.org 2.2  (Linux)">
	<META NAME="CREATED" CONTENT="20080122;13345000">
	<META NAME="CHANGEDBY" CONTENT="Vincent Mahe">
	<META NAME="CHANGED" CONTENT="20080122;13345000">
</HEAD>
<BODY LANG="fr-FR" BGCOLOR="#ffffff" DIR="LTR">
<H1><FONT FACE="Nimbus Sans L"><FONT SIZE=5>HowTo get a model from
the repository?</FONT></FONT></H1>
<P>All sample projects are Eclipse projects available on the
OpenEmbeDD Model Repository which is a SVN repository.</P>
<P>So you need Eclipse with EMF support (or basic OpenEmbeDD user
platform) and the Subclipse plugin (from OpenEmbeDD Developers tools
for exemple) + the plugins (and modeler) corresponding to the
metamodel(s) used in the desired sample.</P>
<H2><FONT FACE="Nimbus Sans L"><FONT SIZE=4><I>Define the SVN
repository (once)</I></FONT></FONT></H2>
<P>Open Eclipse and then right-click in the Package Explorer. Select
the &laquo;&nbsp;New Project&nbsp;&raquo; item and go to the SVN
&laquo;&nbsp;Checkout&nbsp;&raquo;.</P>
<P><IMG SRC="../img/Subclipse1.png" NAME="graphics1" ALIGN=LEFT WIDTH=533 HEIGHT=508 BORDER=0><BR CLEAR=LEFT>Create
the repository location which corresponds to the OpenEmbeDD Sample
Models Repository.</P>
<P><IMG SRC="../img/Subclipse2.png" NAME="graphics2" ALIGN=LEFT WIDTH=533 HEIGHT=440 BORDER=0><BR CLEAR=LEFT>The
anonymous access to the repository can be done with the SVN address 
<A HREF="svn://scm.gforge.inria.fr/svn/openembedd-rep"><FONT FACE="Courier 10 Pitch"><FONT SIZE=2>svn://scm.gforge.inria.fr/svn/openembedd-rep</FONT></FONT></A>.
No password will be demanded, but you will not be able to commit
models.</P>
<P>If you are a referenced developer, you can access the repository
through a company firewall with the HTTPS protocol. The secured SVN
address is <A HREF="https://scm.gforge.inria.fr/svn/openembedd-rep/"><FONT FACE="Courier 10 Pitch"><FONT SIZE=2>https://scm.gforge.inria.fr/svn/openembedd-rep/</FONT></FONT></A>.</P>
<P><IMG SRC="../img/Subclipse3.png" NAME="graphics3" ALIGN=LEFT WIDTH=525 HEIGHT=284 BORDER=0><BR CLEAR=LEFT>When
you click on the Finish button, the connection begin.</P>
<P><IMG SRC="../img/Subclipse4.png" NAME="graphics4" ALIGN=LEFT WIDTH=540 HEIGHT=243 BORDER=0><BR CLEAR=LEFT>In
case other than anonymous, you will have to enter your gForge login
name and password.</P>
<H2><IMG SRC="../img/Subclipse5.png" NAME="graphics6" ALIGN=LEFT WIDTH=404 HEIGHT=218 BORDER=0><BR CLEAR=LEFT><FONT FACE="Nimbus Sans L"><FONT SIZE=4><I>Select
and check out the desired sample project(s)</I></FONT></FONT></H2>
<P>Then you will get a view on the currently stored &quot;projects&quot;.</P>
<P><IMG SRC="../img/Subclipse6.png" NAME="graphics7" ALIGN=LEFT WIDTH=455 HEIGHT=335 BORDER=0><BR CLEAR=LEFT><BR><BR>
</P>
<P>You can choose the sample project you want (only one in the
picture) and click on Finish button.</P>
<P><IMG SRC="../img/Subclipse7.png" NAME="graphics9" ALIGN=LEFT WIDTH=525 HEIGHT=500 BORDER=0><BR CLEAR=LEFT><BR><BR>
</P>
<P>Usually, there is no needs for changes, so just click on Finish
button. You must get the desired project into your workspace.</P>
<P><IMG SRC="../img/Subclipse8.png" NAME="graphics5" ALIGN=LEFT WIDTH=408 HEIGHT=74 BORDER=0><BR CLEAR=LEFT><BR><BR>
</P>
</BODY>
</HTML>